Subject: bug#27552: 25.2.50; Indentation problem in rnc-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 02 Jul 2022 17:37:43 -0400

> $ git clone git://git.sv.gnu.org/emacs/elpaa

`elpa.git` is fairly large, you don't want to clone all of it just for
`rnc-mode`.  Try something like:

    git clone --single-branch git://git.sv.gnu.org/emacs/elpa
    cd elpa
    make    # Initial setup, only needed once.
    make packages/rnc-mode # Fetches rnc-mode and sets it up.
    make packages/rnc-mode # Generate autoloads, <foo>-pkg,el, and compile.

-- Stefan

> Cloning into 'elpa'...
> remote: Counting objects: 420700, done.
> remote: Compressing objects: 100% (122372/122372), done.
> warning: object 40b50e2bcb5b674697e3e2a41627564f810880c4: gitignoreSymlink: .gitignore is a symlink
> warning: object da777249505761d5c51406d4a0d268629f146f8e: gitignoreSymlink: .gitignore is a symlink
> warning: object fa73f7d32f618bd46247364932cac8aa591ed8b9: gitignoreSymlink: .gitignore is a symlink
> warning: object 6bca01e6638f0e92ce277c1497c8f1175236315a: gitignoreSymlink: .gitignore is a symlink
> warning: object 4246bb45961f0e8ed4ccb123648d55a2f043524c: gitignoreSymlink: .gitignore is a symlink
> error: object 2699d230e3b592ae42506d7b5c969a7ac6a4593c: zeroPaddedFilemode:
> contains zero-padded file modes
> fatal: fsck error in packed object
> fatal: fetch-pack: invalid index-pack output

If you do want to clone it all, then I think you'll need

    [fetch "fsck"]
            zeroPaddedFilemode = warn

in your `~/.gitconfig` because we were unlucky to have some entries in
our Git history (generated by some earlier version of Git) which Git
later decided should use a different format.  IIRC we had that in our
old `master` branch which should be gone now, but since then we
inherited some other occurrence of the problem from the history of
some package.

I bumped the version so a new 0.3 should appear soonish, tho.

        Stefan

> But that's a separate issue, I'll probably bring it up on Emacs devel, but
> I thought I actually send this email before I forget a second time.  :)
>
> -Ivan
>
>> On Jun 15, 2022, at 09:56, Lars Ingebrigtsen <[email-masked]> wrote:
>> 
>> Stefan Monnier <[email-masked]> writes:
>> 
>>> Kind of, yes.  There are various places where we could try and fix
>>> this problem, but this might be the simplest, indeed.
>>> I pushed the patch below which does that.
>> 
>> Thanks; I can confirm that that fixes this issue, so I'm closing this
>> bug report.
>> 
>> -- 
>> (domestic pets only, the antidote for overdose, milk.)
>>   bloggy blog: http://lars.ingebrigtsen.no